Subject: Re: [bug#28885] [PATCH] Add ruby-iruby and dependencies

From: Christopher Baines <[email-masked]>
Date: Sat, 24 Feb 2018 16:48:02 +0000

Christopher Baines <[email-masked]> writes:

> This patch series adds a ruby kernel for Jupyter/IPython.
>
> At the moment, it's dependant on supporting wrapping as part of the
> Ruby build system.
>
> When run in a shell, iruby seems to crash, something which looks to be
> fixed upstream, but not yet released (with [1]), however it does still
> work when used from the Jupyter notebook.
>
> 1: https://github.com/SciRuby/iruby/commit/514c7475f4d01a3c25fc8caf943e5d58675bd6ad
>
> Christopher Baines (9):
>   gnu: networking: Add czmq.
>   gnu: Add ruby-mocha-on-bacon.
>   gnu: Add ruby-bacon-bits.
>   gnu: Add ruby-bond.
>   gnu: Add ruby-czmq-ffi-gen.
>   gnu: Add ruby-cztop.
>   gnu: Add ruby-data_uri.
>   gnu: Add ruby-mimemagic.
>   gnu: Add ruby-iruby.
>
>  gnu/packages/networking.scm |  25 +++++
>  gnu/packages/ruby.scm       | 241 ++++++++++++++++++++++++++++++++++++++++++++
>  2 files changed, 266 insertions(+)

I've sent an updated set of patches now, as things seem to have broken
in the mean time.

If I remember, and as long as no one objects, I'll merge these in a week
or so, as these patches have been sitting around for a while now.